function [combos_s_other,combos1_dom_s,combos_p_all,combos_s_all,combos_all,combos_IV,combos_s,combos_p,combos_income,combos_p_out] = combinations_nonl_3(m_regr,m_IV,ngrid_s_p,...
                                                                                                                        ngrid_income_nonl,ngrid_p_out_nonl,data_trans,nIV)

%% partial combos

combos_s_other = (1:m_regr(1)+1)';

combos1_dom_s = combos_s_other(1:end-1);

temp = cell(2,1);
for i=1:2
    
    temp{i} = 1:m_regr(4-i+1)+1;
    
end
combos_p_all = allcomb(temp{:});     
combos_p_all = combos_p_all(:,[2 1]);       % key is that the index that moves "faster" is in the first column, then second one, and so on
                                            % (has to be consistent with order of theta, vs combos_IV where it does not matter)
                                            
temp = cell(2,1);
for i=1:2
    
    temp{i} = 1:m_regr(2-i+1)+1;
    
end
combos_s_all = allcomb(temp{:});     
combos_s_all = combos_s_all(:,[2 1]);       % key is that the index that moves "faster" is in the first column, then second one, and so on
                                            % (has to be consistent with order of theta, vs combos_IV where it does not matter)

%% combos_all

temp = cell(6,1);
for i=1:6
    
    temp{i} = 1:m_regr(6-i+1)+1;
    
end
combos_all = allcomb(temp{:});     
combos_all = combos_all(:,[6 5 4 3 2 1]);       % key is that the index that moves "faster" is in the first column, then second one, and so on
                                            % (has to be consistent with order of theta, vs combos_IV where it does not matter)


%% combos_IV

temp_cell = cell(nIV,1);
for j=1:nIV
    
    temp_cell{j} = (1:m_IV(nIV-j+1)+1);
    
end
combos_IV = (sortrows(allcomb(temp_cell{:})));

%% combos for nonlinear constraints

combos_s1 = sort(linspace(0.13,0.72,ngrid_s_p),'descend');
combos_s2 = sort(linspace(0.01,0.29,ngrid_s_p),'descend');
combos_s = allcomb(combos_s1,combos_s2);

combos_p1 = linspace(0.14,0.44,ngrid_s_p);
combos_p2 = linspace(0.24,0.67,ngrid_s_p);
combos_p = allcomb(combos_p1,combos_p2);

% combos_s = [0.55 0.15;
%             0.55 0.05;
%             0.55 0.01;
%             0.45 0.15;
%             0.45 0.05;
%             0.45 0.01;
%             0.35 0.15;
%             0.35 0.05;
%             0.35 0.01;
%             0.20 0.15;
%             0.20 0.05;
%             0.20 0.01];
%         
% combos_p = [0.15 0.30;
%             0.15 0.44;
%             0.15 0.55;
%             0.25 0.30;
%             0.25 0.44;
%             0.25 0.55;
%             0.30 0.30;
%             0.30 0.44;
%             0.30 0.55;
%             0.38 0.30;
%             0.38 0.44;
%             0.38 0.55;
%             0.44 0.30;
%             0.44 0.44;
%             0.44 0.55];

grid_quant_income = linspace(0.01,0.99,ngrid_income_nonl);
combos_income = quantile(data_trans{1}.income,grid_quant_income)';

grid_quant_p_out = linspace(0.01,0.99,ngrid_p_out_nonl);
combos_p_out = quantile(data_trans{1}.p_out_avg,grid_quant_p_out)';

end