function [ out ] = df_dp_fun(price,data_price,option_prices)

if strcmp(option_prices,'log01')==1
    
    p_max = log(max(data_price)*1.5);
    p_min = log(0.005);
    out = 1./((p_max-p_min)*price);
    
elseif strcmp(option_prices,'01')==1
    
    p_max = max(data_price)*1.5;
    p_min = 0.001;
    out = repmat(1./(p_max-p_min),size(price));
    
elseif strcmp(option_prices,'no')==1
    
    out = 1;
    
end

end