function [ F ] = fun_foc_tax(p,mc_1,mc_2,delta_1,delta_2,income,p_out,data_price,...
                         theta_sigma,combos_all,m_regr,option_prices,tax)
% returns the J-dimensional FOC's to be set = 0, as a function of p

shares = fun_sigma_est_fzero(p(:,1) + tax(1),p(:,2) + tax(2),delta_1,delta_2,income,p_out,theta_sigma,combos_all,m_regr);

if sum(shares)>0.999
    
    shares = shares-0.0005;
    
end

%jacobian_s_p = jacobian_s_p_fun_no_normaliz(p + tax,shares,theta_sigma,income,p_out,combos_all,m_regr);
jacobian_s_p = jacobian_s_p_fun(p + tax,shares,theta_sigma,income,p_out,data_price,combos_all,m_regr,option_prices);

% F(1) = shares(1) + (p(1)-mc_1)*jacobian_s_p(1,1) + (p(2)-mc_2)*jacobian_s_p(2,1);
% 
% F(2) = shares(2) + (p(2)-mc_2)*jacobian_s_p(2,2) + (p(1)-mc_1)*jacobian_s_p(1,2);

p_nonn = normalize_p_inv_fun(p,data_price,option_prices);

F(1) = shares(1) + (p_nonn(1)-mc_1)*jacobian_s_p(1,1) + (p_nonn(2)-mc_2)*jacobian_s_p(2,1);

F(2) = shares(2) + (p_nonn(2)-mc_2)*jacobian_s_p(2,2) + (p_nonn(1)-mc_1)*jacobian_s_p(1,2);

end