function [ grad ] = grad_theta_num_prices_multinew_tax_NPD(theta_sigma,delta,income,p_out,mc,p,m_regr,combos_all,data,option_prices,increment_grad,p0,nx0,tax,tol)

grad = zeros(length(theta_sigma),2);

parfor i=1:length(theta_sigma)
    
    vec = zeros(size(theta_sigma));
    vec(i) = increment_grad;
%      vec(i) = max(abs(increment_grad*theta_sigma(i)),10^-5);
    theta_sigma_new = theta_sigma + vec;
    
    p_new = eq_price_est_foc_fun_tax_NPD(mc,delta,income,p_out,data.p_own,theta_sigma_new,combos_all,m_regr,option_prices,p0,tax);
    
    temp = (p_new - p)/vec(i);
    
    if max(abs(temp))>tol
    
        p_new = eq_price_est_foc_fun_multi_tax(mc,delta,income,p_out,data.p_own,theta_sigma_new,combos_all,m_regr,option_prices,p0,nx0,tax);
    
    end
    
    grad(i,:) = vpa((p_new - p)/vec(i));
    %i
end

end