function [ A_monot ] = A_monot_fun_2(combos_s2,combos_p2,m_regr,temp_mat)

%% sigma_inv is increasing in: own s, other s, own p

% monot in own s

A_s_own = [];

parfor s_other_ind=1:m_regr(2)+1
    for p_own_ind = 1:m_regr(3)+1
        for p_other_ind = 1:m_regr(4)+1
            for j=1:m_regr(1)
                
                combos_s_c = num2cell(combos_s2(s_other_ind,:));
                combos_p_c = num2cell(combos_p2(p_other_ind,:));
                
                temp = temp_mat;
                temp(j,combos_s_c{:},p_own_ind,combos_p_c{:}) = 1;
                temp(j+1,combos_s_c{:},p_own_ind,combos_p_c{:}) = -1;
                A_s_own = [A_s_own;
                    reshape(temp,1,numel(temp))];
                
            end
        end
    end
end

% s_other

A_s_other = [];

for s_own_ind=1:m_regr(1)+1
    for p_own_ind = 1:m_regr(3)+1
        for p_other_ind = 1:m_regr(4)+1
            
            combos_p_c = num2cell(combos_p2(p_other_ind,:));
            
            for j=1:m_regr(2)+1
                
                find_others = find(combos_s2(j,:)<m_regr(2)+1);
                
                combos_s_c = num2cell(combos_s2(j,:));
                
                for i=1:length(find_others)
                    
                    plus_one = zeros(1,size(combos_s2,2));
                    plus_one(find_others(i)) = 1;
                    combos_plus1_c = num2cell(combos_s2(j,:)+plus_one);
                    
                    temp = temp_mat;
                    temp(s_own_ind,combos_s_c{:},p_own_ind,combos_p_c{:}) = 1;
                    temp(s_own_ind,combos_plus1_c{:},p_own_ind,combos_p_c{:}) = -1;
                    A_s_other = [A_s_other;
                        reshape(temp,1,numel(temp))];
                    
                end
                
            end
        end
    end
end

%% monot wrt p

% p_own

A_p_own = [];

for s_other_ind=1:m_regr(2)+1
    for s_own_ind = 1:m_regr(1)+1
        for p_other_ind = 1:m_regr(4)+1
            for j=1:m_regr(3)
                
                combos_s_c = num2cell(combos_s2(s_other_ind,:));
                combos_p_c = num2cell(combos_p2(p_other_ind,:));
                
                temp = temp_mat;
                temp(s_own_ind,combos_s_c{:},j,combos_p_c{:}) = 1;
                temp(s_own_ind,combos_s_c{:},j+1,combos_p_c{:}) = -1;
                A_p_own = [A_p_own;
                    reshape(temp,1,numel(temp))];
                
            end
        end
    end
end

A_monot = [A_s_own;
           A_s_other;
           A_p_own];
       
A_monot = unique(A_monot,'rows');

end