function [ A_ineq,b_ineq,A_eq,b_eq ] = constraint_mat_theta_2_s(combos_all_unique,m_regr,J,option_symm)

% monotonicity

[ A_monot ] = A_monot_fun_s(combos_all_unique,J);

% compare derivatives

% [ A_diag_dom_s ] = A_diag_dom_s_fun_2(combos_all_unique,m_regr,J);
[ A_diag_dom_s ] = [];

A_ineq = [A_monot;
          A_diag_dom_s];

A_ineq = sparse(A_ineq);

if strcmp(option_symm,'yes')
    
    % symmetry
    
    A_symmetry = A_symmetry_fun_2(m_regr,J,combos_all_unique);      % NEED TO CODE THIS FUNCTION!
    
    A_eq = A_symmetry;
    
    A_eq = sparse(A_eq);
    
else A_eq = [];
    
end

b_ineq = [-ones(size(A_monot,1),1)*0.0;
          -ones(size(A_diag_dom_s,1),1)*0];
      
b_eq = zeros(size(A_eq,1),1);

end

