function [ A_diag_dom_s ] = A_diag_dom_s_fun(combos1_dom_s,m_regr,temp_mat,combos_p_all)

J = 2;

A_diag_dom_s = [];

% derivatives wrt s

parfor h=1:m_regr(6)+1           % for any price_outside
    for k=1:m_regr(5)+1           % for any income
        for i=1:size(combos_p_all,1)
            
            combos_pr_c = num2cell(combos_p_all(i,:));
            
            for c=1:size(combos1_dom_s,1)           % loop over combos of B-coefficients for the 'other' (i.e. 'non-own') goods
                for j=1:m_regr(1)                % own good
                    for w=1:J-1               % other good wrt whose derivative we compare the derivative wrt own good
                        
                        temp = temp_mat;
                        temp_ind = combos1_dom_s(c,:);
                        
                        vec = zeros(size(temp_ind));
                        vec(w) = 1;
                        temp_ind2 = [j temp_ind + vec];
                        temp_ind2 = num2cell(temp_ind2);
                        temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                        
                        temp_ind2 = [j+1 temp_ind];
                        temp_ind2 = num2cell(temp_ind2);
                        temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                        
                        A_diag_dom_s = [A_diag_dom_s;
                            reshape(temp,1,numel(temp))];
                        
                        %% last B-coeff for own good
                        
                        if j==m_regr(1)
                            
                            temp = temp_mat;
                            temp_ind = combos1_dom_s(c,:);
                            
                            temp_ind2 = [j temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                            
                            vec = zeros(size(temp_ind));
                            vec(w) = 1;
                            temp_ind2 = [j+1 temp_ind + vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                            
                            temp_ind2 = [j+1 temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -2;
                            
                            A_diag_dom_s = [A_diag_dom_s;
                                reshape(temp,1,numel(temp))];
                            
                        end
                        
                        %% last B-coeff for other good
                        
                        if combos1_dom_s(c,w)==m_regr(2)
                            
                            temp = temp_mat;
                            temp_ind = combos1_dom_s(c,:);
                            
                            temp_ind2 = [j temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                            
                            vec = zeros(size(temp_ind));
                            vec(w) = 1;
                            temp_ind2 = [j+1 temp_ind+vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                            
                            temp_ind2 = [j temp_ind + vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +2;
                            
                            A_diag_dom_s = [A_diag_dom_s;
                                reshape(temp,1,numel(temp))];
                            
                        end
                        
                        %% first B-coeff for own good
                        
                        if j==1
                            
                            temp = temp_mat;
                            temp_ind = combos1_dom_s(c,:);
                            
                            temp_ind2 = [j temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                            
                            vec = zeros(size(temp_ind));
                            vec(w) = 1;
                            temp_ind2 = [j+1 temp_ind+vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                            
                            temp_ind2 = [j temp_ind+vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +2;
                            
                            A_diag_dom_s = [A_diag_dom_s;
                                reshape(temp,1,numel(temp))];
                            
                        end
                        
                        %% first B-coeff for other good
                        
                        if combos1_dom_s(c,w)==1
                            
                            temp = temp_mat;
                            temp_ind = combos1_dom_s(c,:);
                            
                            temp_ind2 = [j temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                            
                            vec = zeros(size(temp_ind));
                            vec(w) = 1;
                            temp_ind2 = [j+1 temp_ind+vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                            
                            temp_ind2 = [j+1 temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -2;
                            
                            A_diag_dom_s = [A_diag_dom_s;
                                reshape(temp,1,numel(temp))];
                            
                        end
                        
                        %% sout-east corner
                        
                        if j==m_regr(1) && combos1_dom_s(c,w)==m_regr(2)
                            
                            temp = temp_mat;
                            temp_ind = combos1_dom_s(c,:);
                            
                            temp_ind2 = [j+1 temp_ind];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = -1;
                            
                            vec = zeros(size(temp_ind));
                            vec(w) = 1;
                            temp_ind2 = [j temp_ind+vec];
                            temp_ind2 = num2cell(temp_ind2);
                            temp(temp_ind2{:},combos_pr_c{:},k,h) = +1;
                            
                            A_diag_dom_s = [A_diag_dom_s;
                                reshape(temp,1,numel(temp))];
                            
                        end
                    end
                end
                
            end
        end
    end
    
end

A_diag_dom_s = unique(A_diag_dom_s,'rows');

end

