function [ p_eq,p_eq_norm,flag ] = eq_price_est_foc_fun_nevo_NPD(mc,delta,income,p_out,data_price,...
                                                          theta_sigma,combos_all,m_regr,option_prices,p_initial)

p0 = p_initial;

fun = @(p) fun_foc_nevo_NPD(p,mc(1),mc(2),delta(1),delta(2),income,p_out,data_price,theta_sigma,combos_all,m_regr,option_prices);

options = optimoptions('fsolve','Display','none','FunctionTolerance',10^-10,'OptimalityTolerance',10^-10,'StepTolerance',10^-10);

[p_eq_norm,fval,flag] = fsolve(fun,p0,options);

p_eq =  normalize_p_inv_fun(p_eq_norm,data_price,option_prices);

end