function [ shares ] = fun_sigma_est_fzero(p1,p2,delta_bar_1,delta_bar_2,income,p_out,theta_sigma,combos_all,m_regr)

% ONLY TAKES SCALAR ARGUMENTS p1 AND p2

warning('off','MATLAB:nargchk:deprecated')

theta{1} = theta_sigma(1:length(theta_sigma)/2);
theta{2} = theta_sigma(length(theta_sigma)/2+1:end);

tt = [p1 p2 income p_out];
tt_reord = [p2 p1 income p_out];

fun = @(s) [prod(BernsteinElement_2(combos_all-1,m_regr,[s tt]'),3)'*theta{1} - delta_bar_1
            prod(BernsteinElement_2(combos_all-1,m_regr,[s([2 1]) tt_reord]'),3)'*theta{2} - delta_bar_2];

options = optimoptions('fsolve','Display','none','FunctionTolerance',10^-10,'OptimalityTolerance',10^-10,'StepTolerance',10^-10);

shares = fsolve(fun,[0.001 0.001],options);

shares = max(shares,0.001);

end

