function [ J_sigma_p ] = jacobian_s_p_fun(p,shares,theta_sigma,income_bar,p_out_bar,data_price,combos_all,m_regr,option_prices)

% shares = fun_sigma_est(p(:,1),p(:,2),delta_1,delta_2,income,p_out,theta_sigma,combos_all,m_regr,ngrid_invert_sigma);
% quantity1 = q0*shares(:,1)./(1-sum(shares,2));
% quantity2 = q0*shares(:,2)./(1-sum(shares,2));

df_dp = df_dp_fun(p,data_price,option_prices);

J_sigmainv_s = jacobian_sigma_inv_s(theta_sigma,shares,p,income_bar,p_out_bar,m_regr,combos_all);
J_sigmainv_p = jacobian_sigma_inv_p(theta_sigma,shares,p,income_bar,p_out_bar,m_regr,combos_all);
J_norm_p = [df_dp(1) 0;
                0     df_dp(2)];

J_sigma_p = -inv(J_sigmainv_s)*J_sigmainv_p*J_norm_p;     % Jacobian of function with output (s1 s2)


end