function out = var_cov(theta_BCS,s1,s2,mat_nohet,mat_het,resid_vec,IV,T_new,J,K,H,wmat)
% This function computes the VCov matrix of the estimates

temp = jacob_2(s1,s2,mat_nohet,mat_het,theta_BCS,T_new,J,K,H);       % T - by - n_theta2
D = IV'*[temp]/T_new;      % nz - by - ntheta; NB: order matters here: first stderrors for theta1, then for theta2
IVres = IV.*(resid_vec*ones(1,size(IV,2)));  % T - by nz
b = IVres'*IVres/T_new;        % nz - by - nz
% IVres = IV'*resid_vec;  % nz - by 1
% b = IVres*IVres';        % nz - by - nz

%f = gmmresid'*gmmresid/N*inv(a*invA*a');
out = inv(D'*wmat*D)*D'*wmat*b*wmat*D*inv(D'*wmat*D);

end