function [ A_ineq,A_eq,b_ineq,b_eq ] = constraint_mat_theta_2(combos_s2,combos_p2,combos_s1_s2,combos_p1_p2,combos_all,temp_mat,temp_mat2,m_regr,option_exch,option_symm)

A_monot = sparse(A_monot_fun_2(combos_s2,combos_p2,m_regr,temp_mat));

A_diag_dom_s = [];
%A_diag_dom_s = sparse(A_diag_dom_s_fun_2(combos_s2,combos_s1_s2,m_regr,temp_mat));

if strcmp(option_exch,'yes')
    
    % ineq
    
    A_diag_dom_p = sparse(A_diag_dom_p_fun_2(m_regr,combos_s1_s2,combos_p1_p2,temp_mat));
    
    A_ineq_indiv = [A_monot;
        A_diag_dom_s;
        A_diag_dom_p];
    
    if strcmp(option_symm,'yes')
        
        A_eq_indiv = sparse(A_symmetry_fun_2(m_regr,combos_all));
        
    elseif strcmp(option_symm,'no')
        
        A_eq_indiv = [];
        
    end
    
    ntheta = size(A_ineq_indiv,2)*2;
    
    A_ineq = [A_ineq_indiv                  zeros(size(A_ineq_indiv));
        zeros(size(A_ineq_indiv))     A_ineq_indiv];
    
    b_ineq = zeros(size(A_ineq,1),1);
    
    % eq
    
    A_eq = [A_eq_indiv                  zeros(size(A_eq_indiv));
        zeros(size(A_eq_indiv))     A_eq_indiv];
    
    A_eq_exch = zeros(size(A_ineq_indiv,2),ntheta);
    
    for i=1:size(A_ineq_indiv,2)
        
        A_eq_exch(i,i) = 1;
        A_eq_exch(i,size(A_ineq_indiv,2)+i) = -1;
        
    end
    
    A_eq = [A_eq;
        A_eq_exch];
    
    b_eq = zeros(size(A_eq,1),1);
    
elseif strcmp(option_exch,'no')
    
    % ineq
    
%     A_diag_dom_p = [];
    A_diag_dom_p = sparse(A_diag_dom_p_noexch_fun_3(m_regr,combos_s1_s2,combos_p1_p2,temp_mat2));
    
    A_ineq_indiv = [A_monot;
        A_diag_dom_s];
    
    A_ineq = [A_ineq_indiv                  zeros(size(A_ineq_indiv));
        zeros(size(A_ineq_indiv))     A_ineq_indiv];
    
    A_ineq = [A_ineq;
              A_diag_dom_p];
    
    b_ineq = zeros(size(A_ineq,1),1);
    
    % eq
    
    if strcmp(option_symm,'yes')
        
    A_eq = sparse(A_symmetry_noexch_fun_2(m_regr,combos_all));
    
    b_eq = zeros(size(A_eq,1),1);
    
    else A_eq = [];
         b_eq = [];
         
    end
    
end

      
end