function [ out ] = rep2unique(ind_redundant,J)
% turns ind_red, a vector of B coeff indices with redundancy (i.e. not imposing
% exchangeability), into the corresponding one in the list of unique
% coefficients (i.e. imposing exchangeability)

temp_s = ind_redundant(2:J);
temp_s_sorted = sort(temp_s);

temp_p = ind_redundant(J+2:end);
temp_p_sorted = sort(temp_p);

out = [ind_redundant(1) temp_s_sorted ind_redundant(J+1) temp_p_sorted];

end

